cURL
curl --request GET \
--url https://api.maesn.dev/accounting/paymentsimport requests
url = "https://api.maesn.dev/accounting/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "94a5ab44-3218-4492-8b5d-a31bc0288c0b",
"currency": "EUR",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Payment of bill",
"documentType": "BILL_BOOKING_PROPOSAL",
"exchangeRate": 1,
"fiscalYear": "2025",
"journalCode": "30",
"journalId": "8df2df10-0fae-40ad-9d22-f25e5ab0ba23",
"updatedDate": "2021-01-01T00:00:00Z",
"paymentDate": "2025-01-01",
"paymentLines": [
{
"accountId": "4a6b5e92-a261-4be9-814d-84dec9636c16",
"amount": 100,
"contactName": "John Doe",
"contactId": "6532708-12e3-4ff5-bf39-02698e959963",
"customerId": "6532708-12e3-4ff5-bf39-02698e959963",
"description": "payment of bill",
"invoiceId": "a44f5af1-8310-4f97-b945-26e35288b35f",
"paymentDate": "2025-01-01",
"supplierId": "6532708-12e3-4ff5-bf39-02698e959963"
}
],
"paymentType": "CREDITOR"
}
]
}Payments
Get payments
GET
/
accounting
/
payments
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

Odoo
Odoo
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string

QuickBooks
QuickBooks
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
number
PaymentLine[]
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

weclapp
weclapp
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
Last modified on July 10, 2026
Was this page helpful?